/// <amd-module name="@typedorm/common/src/decorators/auto-generate-attribute.decorator" />
import { AUTO_GENERATE_ATTRIBUTE_STRATEGY } from '../enums';
export interface AutoGeneratedAttributeOptions {
    /**
     * Auto generate strategy to use
     */
    strategy: AUTO_GENERATE_ATTRIBUTE_STRATEGY;
    /**
     * Defines whether the attribute values should be auto updated when any write operation occurs
     * happens (i.e updatedAt on entities)
     * @default false
     */
    autoUpdate?: boolean;
    /**
     * Defines whether the attribute should be hidden from response returned to client
     * @default false
     */
    hidden?: boolean;
}
export declare function AutoGenerateAttribute(options: AutoGeneratedAttributeOptions): PropertyDecorator;
